#! /usr/bin/env python3
"""
DO NOT EDIT.  This code is generated.
Generated by: sz-sdk-errors/bin/generate_python.py
Generated for: sz-sdk-python/src/senzing/szerror.py
Generated date: 2025-07-19T00:55:32.936053+00:00
"""
# Metadata

__all__ = [
    "ENGINE_EXCEPTION_MAP",
    "SzBadInputError",
    "SzConfigurationError",
    "SzDatabaseConnectionLostError",
    "SzDatabaseError",
    "SzDatabaseTransientError",
    "SzError",
    "SzGeneralError",
    "SzLicenseError",
    "SzNotFoundError",
    "SzNotInitializedError",
    "SzReplaceConflictError",
    "SzRetryableError",
    "SzRetryTimeoutExceededError",
    "SzSdkError",
    "SzUnhandledError",
    "SzUnknownDataSourceError",
    "SzUnrecoverableError",
]
__version__ = "0.0.1"  # See https://www.python.org/dev/peps/pep-0396/
__date__ = "2023-10-30"
__updated__ = "2025-02-01"


# -----------------------------------------------------------------------------
# Base SzError
# -----------------------------------------------------------------------------


class SzError(Exception):
    """Base exception for Sz related python code."""


# -----------------------------------------------------------------------------
# Category exceptions
# - These exceptions represent categories of actions that can be taken by
#   the calling program.
# -----------------------------------------------------------------------------


class SzBadInputError(SzError):
    """The user-supplied input contained an error."""


class SzGeneralError(SzError):
    """Errors that are not bad input, retryable, or unrecoverable."""


class SzRetryableError(SzError):
    """The program can provide a remedy and continue."""


class SzUnrecoverableError(SzError):
    """System failure, can't continue."""


# -----------------------------------------------------------------------------
# Detail exceptions for SzBadInputError
# - Processing did not complete.
# - These exceptions are "per record" exceptions.
# - The record should be recorded as "bad".  (logged, queued as failure)
# - Processing may continue.
# -----------------------------------------------------------------------------


class SzNotFoundError(SzBadInputError):
    """Not found"""


class SzUnknownDataSourceError(SzBadInputError):
    """Unknown DataSource"""


# -----------------------------------------------------------------------------
# Detail exceptions for SzGeneralError
# - Processing did not complete.
# - These exceptions are "per record" exceptions.
# - The record should be recorded as "bad".  (logged, queued as failure)
# - Processing may continue.
# -----------------------------------------------------------------------------


class SzConfigurationError(SzGeneralError):
    """The program can provide a remedy and continue."""


class SzReplaceConflictError(SzGeneralError):
    """The program can provide a remedy and continue."""


class SzSdkError(SzGeneralError):
    """An error discovered by the SDK, not the underlying C binary."""


# -----------------------------------------------------------------------------
# Detail exceptions for SzRetryableError
# - Processing did not complete.
# - These exceptions may be remedied programmatically.
# - The call to the Senzing method should be retried.
# - Processing may continue.
# -----------------------------------------------------------------------------


class SzDatabaseConnectionLostError(SzRetryableError):
    """Database connection lost"""


class SzDatabaseTransientError(SzRetryableError):
    """Database connection lost"""


class SzRetryTimeoutExceededError(SzRetryableError):
    """Retry timeout exceeded time limit"""


# -----------------------------------------------------------------------------
# Detail exceptions for SzUnrecoverableError
# - Processing did not complete.
# - These exceptions cannot be remedied programmatically.
# - Processing cannot continue.
# -----------------------------------------------------------------------------


class SzDatabaseError(SzUnrecoverableError):
    """Database exception"""


class SzLicenseError(SzUnrecoverableError):
    """License exception"""


class SzNotInitializedError(SzUnrecoverableError):
    """Not initialized"""


class SzUnhandledError(SzUnrecoverableError):
    """Could not handle exception"""


# -----------------------------------------------------------------------------
# Determine Exception based on Senzing reason code.
# Reference: https://senzing.zendesk.com/hc/en-us/articles/360026678133-Engine-Error-codes
# -----------------------------------------------------------------------------

# fmt: off
ENGINE_EXCEPTION_MAP = {
    2: SzBadInputError,                     # EAS_ERR_INVALID_MESSAGE                                                               "Invalid Message"
    5: SzError,                             # EAS_ERR_EXCEEDED_MAX_RETRIES                                                          "Exceeded the Maximum Number of Retries Allowed"
    7: SzBadInputError,                     # EAS_ERR_EMPTY_MESSAGE                                                                 "Empty Message"
    10: SzRetryTimeoutExceededError,        # EAS_ERR_RETRY_TIMEOUT                                                                 "Retry timeout exceeded resolved entity locklist [{0}]"
    14: SzConfigurationError,               # EAS_ERR_INVALID_DATASTORE_CONFIGURATION_TYPE                                          "Invalid Datastore Configuration Type"
    18: SzError,                            # EAS_ERR_COULD_NOT_PROCESS_INITIALIZATION_SETTINGS                                     "Could not process initialization settings"
    19: SzConfigurationError,               # EAS_ERR_NO_CONFIGURATION_FOUND                                                        "Configuration not found"
    20: SzConfigurationError,               # EAS_ERR_CONFIG_CANNOT_BE_NULL_DATABASE                                                "Configuration cannot be loaded from database connection"
    21: SzConfigurationError,               # EAS_ERR_CONFIG_CANNOT_BE_NULL_CONFIG_FILE                                             "Configuration cannot be loaded from config file"
    22: SzBadInputError,                    # EAS_ERR_INVALID_DOCTYPE                                                               "Invalid DocType {0}"
    23: SzBadInputError,                    # EAS_ERR_CONFLICTING_DATA_SOURCE_VALUES                                                "Conflicting DATA_SOURCE values '{0}' and '{1}'"
    24: SzBadInputError,                    # EAS_ERR_CONFLICTING_RECORD_ID_VALUES                                                  "Conflicting RECORD_ID values '{0}' and '{1}'"
    25: SzBadInputError,                    # EAS_ERR_INVALID_BULK_REQUEST                                                          "Invalid Bulk Request [{0}]"
    26: SzBadInputError,                    # EAS_ERR_RESERVED_WORD_USED_IN_DOCUMENT                                                "Inbound data contains a reserved keyword '{0}'"
    27: SzError,                            # EAS_ERR_INVALID_VALUE_FOR_SEARCH_ATTRIBUTES                                           "Invalid value for search-attributes"
    28: SzConfigurationError,               # EAS_ERR_INVALID_JSON_CONFIG_DOCUMENT                                                  "Invalid JSON config document"
    29: SzError,                            # EAS_ERR_INVALID_VALUE_OF_MAX_ENTITIES                                                 "Invalid value of max entities '{0}'"
    30: SzConfigurationError,               # EAS_ERR_INVALID_MATCH_LEVEL                                                           "Invalid match level '{0}'"
    31: SzError,                            # EAS_ERR_INVALID_VALUE_OF_MAX_DEGREE                                                   "Invalid value of max degree '{0}'"
    32: SzError,                            # EAS_ERR_INVALID_VALUE_OF_BUILDOUT_DEGREE                                              "Invalid value of build out degree '{0}'"
    33: SzNotFoundError,                    # EAS_ERR_UNKNOWN_DSRC_RECORD_ID                                                        "Unknown record: dsrc[{0}], record[{1}]"
    34: SzConfigurationError,               # EAS_ERR_AMBIGUOUS_ENTITY_FTYPE_MISSING                                                "AMBIGUOUS_ENTITY Feature Type is not configured"
    35: SzConfigurationError,               # EAS_ERR_AMBIGUOUS_TIER_FELEM_MISSING                                                  "AMBIGUOUS_TIER Feature Element is not configured"
    36: SzConfigurationError,               # EAS_ERR_AMBIGUOUS_FTYPE_ID_FELEM_MISSING                                              "AMBIGUOUS_FTYPE_ID Feature Element is not configured"
    37: SzNotFoundError,                    # EAS_ERR_UNKNOWN_RESOLVED_ENTITY_VALUE                                                 "Unknown resolved entity value '{0}'"
    38: SzError,                            # EAS_ERR_RECORD_HAS_NO_RESOLVED_ENTITY                                                 "Data source record has no resolved entity: dsrc[{0}], recordID[{1}]"
    39: SzError,                            # EAS_ERR_NO_OBSERVED_ENTITY_FOR_DSRC_ENTITY_KEY                                        "No observed entity for entity key: dsrc[{0}], record_id[{1}], key[{2}]"
    40: SzConfigurationError,               # EAS_ERR_CONFIG_COMPATIBILITY_MISMATCH                                                 "The engine configuration compatibility version [{0}] does not match the version of the provided config[{1}]."
    41: SzError,                            # EAS_ERR_DOCUMENT_PREPROCESSING_FAILED                                                 "Document preprocessing failed"
    42: SzError,                            # EAS_ERR_DOCUMENT_LOAD_PROCESSING_FAILED                                               "Document load processing failed"
    43: SzError,                            # EAS_ERR_DOCUMENT_ER_PROCESSING_FAILED                                                 "Document ER processing failed"
    45: SzError,                            # EAS_ERR_INPUT_PROCEDURE_PROCESSING_FAILED                                             "Input procedure processing failed"
    46: SzError,                            # EAS_ERR_DOCUMENT_HASHING_PROCESSING_FAILED                                            "Document hashing-processing failed"
    47: SzError,                            # EAS_ERR_SESSION_IS_INVALID                                                            "Session is invalid"
    48: SzNotInitializedError,              # EAS_ERR_SZ_NOT_INITIALIZED                                                            "API is not initialized"
    50: SzNotInitializedError,              # EAS_ERR_SZHASHER_NOT_INITIALIZED                                                      "SzHasher is not initialized"
    51: SzBadInputError,                    # EAS_ERR_BOTH_RECORD_ID_AND_ENT_SRC_KEY_SPECIFIED                                      "Cannot use both Record ID and Entity Source Key in record"
    52: SzError,                            # EAS_ERR_UNKNOWN_RELATIONSHIP_ID_VALUE                                                 "Unknown relationship ID value '{0}'"
    53: SzNotInitializedError,              # EAS_ERR_SZDIAGNOSTIC_NOT_INITIALIZED                                                  "SzDiagnostic is not initialized"
    54: SzDatabaseError,                    # EAS_ERR_SZ_DATA_REPOSITORY_WAS_PURGED                                                 "Data repository was purged"
    55: SzError,                            # EAS_ERR_NO_RESOLVED_ENTITY_FOR_DSRC_ENTITY_KEY                                        "No resolved entity for entity key: dsrc[{0}], record_id[{1}], key[{2}]"
    56: SzError,                            # EAS_ERR_NO_RECORDS_EXIST_FOR_RESOLVED_ENTITY                                          "No data source records exist for entity ID: entityID[{0}]"
    57: SzError,                            # EAS_ERR_UNKNOWN_FEATURE_ID_VALUE                                                      "Unknown feature ID value '{0}'"
    58: SzError,                            # EAS_ERR_SZ_INITIALIZATION_FAILURE                                                     "Sz initialization process has failed"
    60: SzConfigurationError,               # EAS_ERR_CONFIG_DATABASE_MISMATCH                                                      "The engine configuration does not match the records loaded into the repository:  errors[{0}]."
    61: SzConfigurationError,               # EAS_ERR_AMBIGUOUS_SUPPRESSED_LIBFEAT_FELEM_MISSING                                    "AMBIGUOUS_SUPPRESSED_LIBFEAT Feature Element is not configured"
    62: SzConfigurationError,               # EAS_ERR_AMBIGUOUS_TYPE_FELEM_MISSING                                                  "AMBIGUOUS_TYPE Feature Element is not configured"
    63: SzNotInitializedError,              # EAS_ERR_SZCONFIGMGR_NOT_INITIALIZED                                                   "SzConfigMgr is not initialized"
    64: SzConfigurationError,               # EAS_ERR_CONFUSED_ENTITY_FTYPE_MISSING                                                 "CONFUSED_ENTITY Feature Type is not configured"
    65: SzBadInputError,                    # EAS_ERR_SUPPRESSED_RELATION_DOMAIN_FTYPE_MISSING                                      "SUPPRESSED_RELATION_DOMAIN Feature Type is not configured"
    66: SzBadInputError,                    # EAS_ERR_UNKNOWN_GENERIC_PLAN_VALUE                                                    "Unknown generic plan value '{0}'"
    67: SzConfigurationError,               # EAS_ERR_INVALID_GENERIC_PLAN_VALUE                                                    "Invalid Generic Plan ID [{0}] configured for the '{1}' retention level.'"
    68: SzError,                            # EAS_ERR_UNKNOWN_ER_RESULT                                                             "Unknown ER-result."
    69: SzError,                            # EAS_ERR_NO_CANDIDATES                                                                 "No candidates."
    76: SzError,                            # EAS_ERR_INBOUND_FEATURE_VERSION_NEWER_THAN_CONFIG                                     "Inbound Feature Version [{0}] is newer than configured version [{1}] for feature type[{2}]."
    77: SzError,                            # EAS_ERR_ERROR_WHEN_PRIMING_GNR                                                        "Error when priming GNR resources '{0}'"
    78: SzError,                            # EAS_ERR_ERROR_WHEN_ENCRYPTING                                                         "Error when encrypting '{0}'"
    79: SzError,                            # EAS_ERR_ERROR_WHEN_DECRYPTING                                                         "Error when decrypting '{0}'"
    80: SzError,                            # EAS_ERR_ERROR_WHEN_VALIDATING_ENCRYPTION_SIGNATURE_COMPATIBILITY                      "Error when validating encryption signature compatibility '{0}'"
    81: SzError,                            # EAS_ERR_ERROR_WHEN_CHECKING_DISTINCT_FEATURE_GENERALIZATION                           "Error when checking distinct feature generalization '{0}'"
    82: SzError,                            # EAS_ERR_ERROR_WHEN_RUNNING_DQM                                                        "Error when running DQM '{0}'"
    83: SzError,                            # EAS_ERR_ERROR_WHEN_CREATING_EFEATS                                                    "Error when creating EFEATS '{0}'"
    84: SzError,                            # EAS_ERR_ERROR_WHEN_SIMPLE_SCORING                                                     "Error when simple scoring '{0}'"
    85: SzError,                            # EAS_ERR_ERROR_WHEN_SCORING_PAIR                                                       "Error when scoring a pair '{0}'"
    86: SzError,                            # EAS_ERR_ERROR_WHEN_SCORING_SET                                                        "Error when scoring a set '{0}'"
    87: SzUnhandledError,                   # EAS_ERR_SZ_EXCEPTION                                                                  "Sz Exception '{0}'"
    88: SzBadInputError,                    # EAS_ERR_UNKNOWN_SEARCH_PROFILE_VALUE                                                  "Unknown search profile value '{0}'"
    89: SzConfigurationError,               # EAS_ERR_MISCONFIGURED_SEARCH_PROFILE_VALUE                                            "Misconfigured search profile value '{0}'"
    90: SzConfigurationError,               # EAS_ERR_CANNOT_ADD_LIBRARY_FEATURES_TO_DATASTORE                                      "Cannot add library features to datastore:  '{0}'"
    91: SzError,                            # EAS_ERR_TRUSTED_ID_FTYPE_MISSING                                                      "TRUSTED_ID Feature Type is not configured"
    92: SzError,                            # EAS_ERR_RECORD_TYPE_FTYPE_MISSING                                                     "RECORD_TYPE Feature Type is not configured"
    93: SzError,                            # EAS_ERR_CONFUSED_ENTITY_FELEM_MISSING                                                 "YESNO_FLAG Feature Element is not configured"
    94: SzError,                            # EAS_ERR_DOMAIN_NAME_FELEM_MISSING                                                     "DOMAIN_NAME Feature Element is not configured"
    95: SzError,                            # EAS_ERR_SUPPRESSED_RELATIONSHIP_FTYPE_ID_FELEM_MISSING                                "SUPPRESSED_RELATIONSHIP_FTYPE_ID Feature Element is not configured"
    96: SzError,                            # EAS_ERR_SUPPRESSED_RELATIONSHIP_CONNECTING_FTYPE_ID_FELEM_MISSING                     "SUPPRESSED_RELATIONSHIP_CONNECTING_FTYPE_ID Feature Element is not configured"
    97: SzError,                            # EAS_ERR_ORPHANED_ENTITY_FTYPE_MISSING                                                 "ORPHANED_ENTITY Feature Type is not configured"
    98: SzError,                            # EAS_ERR_ORPHANED_ENTITY_FELEM_MISSING                                                 "VALUE Feature Element is not configured"
    999: SzLicenseError,                    # EAS_ERR_LICENSE_HAS_EXPIRED                                                           "License has expired"
    1000: SzDatabaseError,                  # EAS_ERR_UNHANDLED_DATABASE_ERROR                                                      "Unhandled Database Error '{0}'"
    1001: SzDatabaseError,                  # EAS_ERR_CRITICAL_DATABASE_ERROR                                                       "Critical Database Error '{0}'"
    1002: SzDatabaseError,                  # EAS_ERR_DATABASE_MEMORY_ERROR                                                         "Database Memory Error '{0}'"
    1003: SzDatabaseError,                  # EAS_ERR_TABLE_SPACE_OR_LOG_VIOLATION                                                  "Table Space or Log Violation '{0}'"
    1004: SzDatabaseError,                  # EAS_ERR_RESOURCE_CONTENTION                                                           "Resource Contention '{0}'"
    1005: SzDatabaseError,                  # EAS_ERR_USER_DEFINED_PROC_ERROR                                                       "User Defined Procedure or Function Error '{0}'"
    1006: SzDatabaseConnectionLostError,    # EAS_ERR_DATABASE_CONNECTION_FAILURE                                                   "Database Connection Failure '{0}'"
    1007: SzDatabaseConnectionLostError,    # EAS_ERR_DATABASE_CONNECTION_LOST                                                      "Database Connection Lost '{0}'"
    1008: SzDatabaseTransientError,         # EAS_ERR_DEADLOCK_ERROR                                                                "Deadlock Error '{0}'"
    1009: SzDatabaseError,                  # EAS_ERR_INSUFFICIENT_PERMISSIONS                                                      "Insufficient Permissions '{0}'"
    1010: SzDatabaseError,                  # EAS_ERR_TRANSACTION_ERROR                                                             "Transaction Error '{0}'"
    1011: SzDatabaseError,                  # EAS_ERR_UNIQUE_CONSTRAINT_VIOLATION                                                   "Unique Constraint Violation '{0}'"
    1012: SzDatabaseError,                  # EAS_ERR_CONSTRAINT_VIOLATION                                                          "Constraint Violation '{0}'"
    1013: SzDatabaseError,                  # EAS_ERR_SYNTAX_ERROR                                                                  "Syntax Error '{0}'"
    1014: SzDatabaseError,                  # EAS_ERR_CURSOR_ERROR                                                                  "Cursor Error '{0}'"
    1015: SzDatabaseError,                  # EAS_ERR_DATATYPE_ERROR                                                                "Data Type Error '{0}'"
    1016: SzDatabaseError,                  # EAS_ERR_TRANSACTION_ABORTED_ERROR                                                     "Transaction Aborted '{0}'"
    1017: SzDatabaseError,                  # EAS_ERR_DATABASE_OPERATOR_NOT_SET                                                     "Database operator not set '{0}'"
    1018: SzDatabaseError,                  # EAS_ERR_DATABASE_EXCEPTION_GENERATOR_NOT_SET                                          "Database exception generator not set '{0}'"
    1019: SzConfigurationError,             # EAS_ERR_DATABASE_SCHEMA_TABLES_NOT_FOUND                                              "Datastore schema tables not found. [{0}]"
    2001: SzConfigurationError,             # EAS_ERR_FEATURE_HAS_NO_FTYPE_CODE                                                     "Cannot process feature with no FTYPE_CODE[{0}]"
    2002: SzError,                          # EAS_ERR_REQUESTED_CONFIG_FOR_INVALID_FTYPE_CODE                                       "Requested config for invalid FTYPE_CODE[{0}]"
    2003: SzError,                          # EAS_ERR_NO_FELEM_CODE                                                                 "Cannot process OBS_FELEM with no FELEM_CODE[{0}]"
    2005: SzError,                          # EAS_ERR_INVALID_FELEM_CODE                                                            "FELEM_CODE[{0}] is not configured for FTYPE_CODE[{1}]"
    2006: SzError,                          # EAS_ERR_MISSING_ENT_SRC_KEY                                                           "OBS_ENT is missing ENT_SRC_KEY"
    2007: SzError,                          # EAS_ERR_MISSING_OBS_SRC_KEY                                                           "OBS is missing OBS_SRC_KEY"
    2009: SzError,                          # EAS_ERR_NO_OBS_ENT_FOR_ENT_SRC_KEY                                                    "No OBS_ENT found for ENT_SRC_KEY[{0}]"
    2010: SzError,                          # EAS_ERR_ENT_SRC_KEY_CHANGED                                                           "Expected ENT_SRC_KEY [{0}] changed to [{1}]"
    2012: SzConfigurationError,             # EAS_ERR_ERRULE_CONFIGURED_FOR_RESOLVE_AND_RELATE                                      "ER Rule [{0}] is configured for both resolve and relate."
    2015: SzConfigurationError,             # EAS_ERR_INVALID_FTYPE_CODE                                                            "Invalid FTYPE_CODE[{0}]"
    2027: SzError,                          # EAS_ERR_PLUGIN_INIT                                                                   "Plugin initialization error {0}"
    2029: SzConfigurationError,             # EAS_ERR_REQUESTED_CONFIG_FOR_INVALID_PLUGIN                                           "Configuration not found for plugin type: {0}"
    2034: SzConfigurationError,             # EAS_ERR_INVALID_CFRTN_VAL                                                             "CFRTN_ID[{0}]/FTYPE[{1}] is expecting CFRTN_VAL[{2}] which is not offered by CFUNC_ID[{3}][{4}]. Available scores are [{5}]"
    2036: SzConfigurationError,             # EAS_ERR_FTYPE_HAS_NO_BOM                                                              "FType configured with no Feature Elements (Bill of Materials)  FTYPE_ID[{0}] FTYPE_CODE[{1}]"
    2037: SzConfigurationError,             # EAS_ERR_FUNC_CALL_HAS_NO_BOM                                                          "Function call ({3}) configured with no Bill of Materials  {4}[{0}] FTYPE_ID[{1}] FTYPE_CODE[{2}]"
    2038: SzConfigurationError,             # EAS_ERR_DISTINCT_FEATURE_HAS_NO_BOM                                                   "Distinct feature call configured with no Bill of Materials  DFCALL_ID[{0}]"
    2041: SzConfigurationError,             # EAS_ERR_EFCALL_HAS_NO_BOM                                                             "EFeature creation call configured with no Bill of Materials  EFCALL_ID[{0}]"
    2045: SzConfigurationError,             # EAS_ERR_CFRTN_REFERS_BAD_CFUNC_ID                                                     "CFG_CFRTN references CFUNC_ID[{0}] which is not configured"
    2047: SzConfigurationError,             # EAS_ERR_MISSING_DSRC_CODE                                                             "Observation is missing DSRC_CODE tag which is required"
    2048: SzConfigurationError,             # EAS_ERR_FEAT_FREQ_INVALID                                                             "FEATURE CODE[{0}] FEATURE FREQUENCY[{1}] is an invalid frequency"
    2049: SzConfigurationError,             # EAS_ERR_FUNC_INVALID                                                                  "{2} [{0}] is invalid for {3}[{1}]"
    2050: SzConfigurationError,             # EAS_ERR_QUAL_FRAG_NOT_FOUND                                                           "Rule[{0}] Qualifier Fragment[{1}]: Fragment not found"
    2051: SzConfigurationError,             # EAS_ERR_DISQUAL_FRAG_NOT_FOUND                                                        "Rule[{0}] Disqualifier Fragment[{1}]: Fragment not found"
    2057: SzBadInputError,                  # EAS_ERR_BAD_DSRC_ACTION                                                               "Observation has DSRC_ACTION[{0}] which is invalid.  Valid values are [A]dd, [C]hange, [D]elete or E[X]tensive Evaluation"
    2061: SzConfigurationError,             # EAS_ERR_DUPLICATE_LOOKUP_IDENTIFIER                                                   "Duplicate [{0}] with identifier value [{1}].  Only unique values are allowed."
    2062: SzConfigurationError,             # EAS_ERR_INVALID_LOOKUP_IDENTIFIER                                                     "Requested lookup of [{0}] using unknown value [{1}].  Value not found."
    2065: SzConfigurationError,             # EAS_ERR_FTYPE_HAS_MULTIPLE_DEFINITIONS                                                "FType configured with multiple definitions. FTYPE_CODE[{0}] used in FTYPE_ID[{1}] and FTYPE_ID[{2}]"
    2066: SzConfigurationError,             # EAS_ERR_FELEM_HAS_MULTIPLE_DEFINITIONS                                                "FElem configured with multiple definitions. FELEM_CODE[{0}] used in FELEM_ID[{1}] and FELEM_ID[{2}]"
    2067: SzConfigurationError,             # EAS_ERR_ERFRAG_HAS_MULTIPLE_DEFINITIONS                                               "ER Fragment code configured with multiple definitions. ERFRAG_CODE[{0}] used in ERFRAG_ID[{1}] and ERFRAG_ID[{2}]"
    2069: SzConfigurationError,             # EAS_ERR_BOM_CONFIG_INVALID_FOR_SIMPLE_PLUGIN                                          "Configured plugin for CFCALL_ID[{0}] requires exactly one value in BOM"
    2070: SzConfigurationError,             # EAS_ERR_EFCALL_HAS_INVALID_FUNCTION                                                   "EFeature creation call configured with invalid function ID EFCALL_ID[{0}] EFUNC_ID[{1}]"
    2071: SzConfigurationError,             # EAS_ERR_EFBOM_HAS_INVALID_EFCALL                                                      "EFeature BOM configured with invalid EFCALL_ID[{0}]"
    2073: SzError,                          # EAS_ERR_LOADING_LIBRARY                                                               "Library loading error {0}"
    2074: SzError,                          # EAS_ERR_SCORING_MANAGER_PLUGIN                                                        "Scoring manager: id {0} and {1} do not match"
    2075: SzConfigurationError,             # EAS_ERR_TABLE_CONFIGURED_WITH_INVALID_FTYPE_CODE                                      "Table {0} configured with an invalid type FTYPE_CODE[{1}]"
    2076: SzConfigurationError,             # EAS_ERR_TABLE_CONFIGURED_WITH_INVALID_FELEM_CODE                                      "Table {0} configured with an invalid type FELEM_CODE[{1}]"
    2079: SzConfigurationError,             # EAS_ERR_EFBOM_CONFIGURED_WITH_INVALID_FTYPE_ID                                        "CFG_EFBOM configured with an invalid type FTYPE_ID[{0}]"
    2080: SzConfigurationError,             # EAS_ERR_EFBOM_CONFIGURED_WITH_INVALID_FELEM_ID                                        "CFG_EFBOM configured with an invalid type FELEM_ID[{0}]"
    2081: SzConfigurationError,             # EAS_ERR_FUNC_CALL_CONFIGURED_WITH_INVALID_FTYPE_ID                                    "{1} configured with an invalid type FTYPE_ID[{0}]"
    2082: SzConfigurationError,             # EAS_ERR_FUNC_CALL_CONFIGURED_WITH_INVALID_FUNC_ID                                     "{1} configured with an invalid type {2}[{0}]"
    2083: SzConfigurationError,             # EAS_ERR_FUNC_BOM_CONFIGURED_WITH_INVALID_FTYPE_ID                                     "{1} configured with an invalid type FTYPE_ID[{0}]"
    2084: SzConfigurationError,             # EAS_ERR_FUNC_BOM_CONFIGURED_WITH_INVALID_FELEM_ID                                     "{1} configured with an invalid type FELEM_ID[{0}]"
    2088: SzConfigurationError,             # EAS_ERR_TABLE_CONFIGURED_WITH_INVALID_RCLASS_ID                                       "Table {0} configured with an invalid RCLASS_ID[{1}]"
    2089: SzConfigurationError,             # EAS_ERR_UNKNOWN_FCLASS_ID                                                             "UNKNOWN FCLASS ID[{0}]"
    2090: SzConfigurationError,             # EAS_ERR_SFCALL_HAS_INVALID_FUNCTION                                                   "Feature standardization call configured with invalid function ID SFCALL_ID[{0}] SFUNC_ID[{1}]"
    2091: SzConfigurationError,             # EAS_ERR_TABLE_CONFIGURED_WITH_BOTH_FTYPE_ID_AND_FELEM_ID                              "{0} configured with both an FTYPE_ID[{1}] and FELEM_ID[{2}]"
    2092: SzConfigurationError,             # EAS_ERR_TABLE_CONFIGURED_WITH_NEITHER_FTYPE_ID_NOR_FELEM_ID                           "{0} configured with neither an FTYPE_ID nor an FELEM_ID"
    2093: SzConfigurationError,             # EAS_ERR_TABLE_CONFIGURED_WITH_DUPLICATE_EXEC_ORDER_FOR_IDENTIFIER_LIST                "Table [{0}] configured with duplicate execution order value [{3}] for identifiers[{1}] with values [{2}]"
    2094: SzConfigurationError,             # EAS_ERR_DUPLICATE_VALUE_FOR_FIELD_IN_TABLE                                            "Duplicate value [{2}] of field [{1}] in config [{0}]"
    2095: SzConfigurationError,             # EAS_ERR_TABLE_CONFIGURED_WITH_INVALID_FTYPE_CODE_FELEM_CODE_PAIR                      "Table {0} configured with an invalid FTYPE_CODE[{1}]/FELEM_CODE[{2}] pair"
    2097: SzError,                          # EAS_ERR_DUPLICATE_VALUES_FOR_FIELDS_IN_TABLE                                          "Duplicate values [{3}][{4}] of fields [{1}][{2}] in config [{0}]"
    2099: SzConfigurationError,             # EAS_ERR_COUNTER_CONFIG_INVALID_THRESHOLD                                              "Next Threshold for a counter should be no less than 10, but has NEXT_THRESH{0}"
    2101: SzConfigurationError,             # EAS_ERR_XPATH_OP_UNSUPPORTED                                                          "XPath operation unsupported [{0}]"
    2102: SzConfigurationError,             # EAS_ERR_XPATH_AXIS_UNSUPPORTED                                                        "XPath axis unsupported [{0}]"
    2103: SzConfigurationError,             # EAS_ERR_XPATH_TEST_UNSUPPORTED                                                        "XPath test unsupported [{0}]"
    2104: SzConfigurationError,             # EAS_ERR_XPATH_TYPE_UNSUPPORTED                                                        "XPath type unsupported [{0}]"
    2105: SzConfigurationError,             # EAS_ERR_XPATH_NODE_PREFIX_UNSUPPORTED                                                 "XPath node prefix unsupported [{0}]"
    2106: SzConfigurationError,             # EAS_ERR_XPATH_NODE_NAME_UNSUPPORTED                                                   "XPath node name unsupported position[{0}], name[{1}]"
    2107: SzConfigurationError,             # EAS_ERR_XPATH_BEHAVIOR_TYPE_UNSUPPORTED                                               "XPath behavior type unsupported [{0}]"
    2108: SzConfigurationError,             # EAS_ERR_XPATH_BUCKET_UNSUPPORTED                                                      "XPath bucket type unsupported [{0}]"
    2109: SzConfigurationError,             # EAS_ERR_XPATH_VALUE_TYPE_UNSUPPORTED                                                  "XPath value type unsupported [{0}]"
    2110: SzConfigurationError,             # EAS_ERR_XPATH_PLUS_TYPE_UNSUPPORTED                                                   "XPath plus operand type unsupported [{0}]"
    2111: SzConfigurationError,             # EAS_ERR_XPATH_FRAGMENT_NOT_EVALUATED                                                  "XPath fragment not evaluated[{0}]"
    2112: SzConfigurationError,             # EAS_ERR_XPATH_FRAGMENT_NOT_CONFIGURED                                                 "XPath fragment not configured[{0}]"
    2113: SzConfigurationError,             # EAS_ERR_XPATH_FUNCTION_UNSUPPORTED                                                    "XPath function unsupported [{0}]"
    2114: SzConfigurationError,             # EAS_ERR_INVALID_FTYPE_SCORESET                                                        "Cannot set score for invalid feature type ID [{0}]"
    2116: SzError,                          # EAS_ERR_UNINITIALIZED_AMBIGUOUS_CACHE                                                 "Uninitialized Ambiguous Test Cache"
    2117: SzConfigurationError,             # EAS_ERR_SCORING_CALL_HAS_NO_BOM                                                       "Scoring call configured with no Bill of Materials  CFCALL_ID[{0}]."
    2118: SzConfigurationError,             # EAS_ERR_BOM_CONFIG_INVALID_FOR_SCORING_PLUGIN                                         "Configured plugin for CFCALL_ID[{0}] has invalid BOM."
    2120: SzConfigurationError,             # EAS_ERR_TABLE_CONFIGURED_WITH_INVALID_FTYPE_ID                                        "Table {0} configured with an invalid type FTYPE_ID[{1}]"
    2121: SzConfigurationError,             # EAS_ERR_TABLE_CONFIGURED_WITH_INVALID_FELEM_ID                                        "Table {0} configured with an invalid type FELEM_ID[{1}]"
    2123: SzConfigurationError,             # EAS_ERR_CFUNC_CONFIGURED_WITH_NO_CFRTN                                                "CFG_CFUNC [{0}] feature type [{1}] configured without any corresponding return values in CFG_CFRTN"
    2124: SzError,                          # EAS_ERR_FEATURE_CONFIGURED_WITH_ONLY_DERIVED_FELEMS                                   "Feature [{0}] configured with only derived felems"
    2131: SzConfigurationError,             # EAS_ERR_OBS_ENT_NOT_FOUND                                                             "Requested resolution of observed entity that is not loaded:  OBS_ENT_ID[{0}]"
    2135: SzConfigurationError,             # EAS_ERR_INPUT_MAPPING_CONFIG_ERROR                                                    "Error in input mapping config[{0}]"
    2136: SzConfigurationError,             # EAS_ERR_INPUT_MAPPING_MISSING_REQUIRED_FIELD                                          "Error in input mapping, missing required field[{0}]"
    2137: SzConfigurationError,             # EAS_ERR_INPUT_MAPPING_MALFORMED_INPUT                                                 "Error in input mapping, input message is malformed[{0}]"
    2138: SzConfigurationError,             # EAS_ERR_INVALID_CFRTN_INDEX                                                           "CFRTN_ID[{0}] is out of range. Valid range is 0-7"
    2139: SzConfigurationError,             # EAS_ERR_DSRC_INTEREST_CONFIGURED_WITH_INVALID_DSRCID                                  "Data Source Interest configured with invalid Data Source ID [{0}]"
    2207: SzUnknownDataSourceError,         # EAS_ERR_DATA_SOURCE_CODE_DOES_NOT_EXIST                                               "Data source code [{0}] does not exist."
    2209: SzConfigurationError,             # EAS_ERR_DATA_SOURCE_ID_ALREADY_EXISTS                                                 "Data source ID [{0}] already exists."
    2210: SzConfigurationError,             # EAS_ERR_FELEM_CODE_DOES_NOT_EXIST                                                     "Feature element code [{0}] does not exist."
    2211: SzConfigurationError,             # EAS_ERR_FELEM_CODE_ALREADY_EXISTS                                                     "Feature element code [{0}] already exists."
    2212: SzConfigurationError,             # EAS_ERR_FELEM_ID_ALREADY_EXISTS                                                       "Feature element ID [{0}] already exists."
    2213: SzConfigurationError,             # EAS_ERR_INVALID_FELEM_DATA_TYPE                                                       "Invalid feature element datatype [{0}] found.  Datatype must be in [{1}]."
    2214: SzConfigurationError,             # EAS_ERR_FELEM_IS_CONFIGURED_FOR_USE_IN_FEATURES                                       "Feature element [{0}] is configured for use in feature(s) [{1}]."
    2215: SzConfigurationError,             # EAS_ERR_FTYPE_CODE_DOES_NOT_EXIST                                                     "Feature type code [{0}] does not exist."
    2216: SzConfigurationError,             # EAS_ERR_FTYPE_CODE_ALREADY_EXISTS                                                     "Feature type code [{0}] already exists."
    2217: SzConfigurationError,             # EAS_ERR_FTYPE_ID_ALREADY_EXISTS                                                       "Feature type ID [{0}] already exists."
    2218: SzConfigurationError,             # EAS_ERR_FEATURE_FREQUENCY_IS_INVALID                                                  "Feature type frequency [{0}] is invalid."
    2219: SzConfigurationError,             # EAS_ERR_FEATURE_ELEMENT_LIST_IS_EMPTY                                                 "Feature element list is empty."
    2220: SzConfigurationError,             # EAS_ERR_STANDARDIZATION_FUNCTION_DOES_NOT_EXIST                                       "Standardization function [{0}] does not exist."
    2221: SzConfigurationError,             # EAS_ERR_FUNCTION_USES_BOTH_FTYPE_AND_FELEM_TRIGGER                                    "Function call requested uses both triggering feature type [{0}] and triggering feature element code [{1}].  Cannot use both triggering feature type and triggering feature element code."
    2222: SzConfigurationError,             # EAS_ERR_EXPRESSION_FUNCTION_DOES_NOT_EXIST                                            "Expression function [{0}] does not exist."
    2223: SzConfigurationError,             # EAS_ERR_EXPRESSION_FUNCTION_FEATURE_ELEMENT_LIST_IS_EMPTY                             "Expression function feature element list is empty."
    2224: SzConfigurationError,             # EAS_ERR_COMPARISON_FUNCTION_DOES_NOT_EXIST                                            "Comparison function [{0}] does not exist."
    2225: SzConfigurationError,             # EAS_ERR_COMPARISON_FUNCTION_FEATURE_ELEMENT_LIST_IS_EMPTY                             "Comparison function feature element list is empty."
    2226: SzConfigurationError,             # EAS_ERR_DISTINCT_FUNCTION_DOES_NOT_EXIST                                              "Distinct feature function [{0}] does not exist."
    2227: SzConfigurationError,             # EAS_ERR_DISTINCT_FUNCTION_FEATURE_ELEMENT_LIST_IS_EMPTY                               "Distinct feature function feature element list is empty."
    2228: SzConfigurationError,             # EAS_ERR_FELEM_CODE_MUST_BE_UNIQUE_IN_FELEM_LIST                                       "Feature element code [{0}] must be unique in felem list."
    2230: SzConfigurationError,             # EAS_ERR_FTYPE_CODE_AND_FELEM_CODE_MUST_BE_UNIQUE_IN_EXPRESSED_FUNCTION_CALL           "Feature type [{0}] and feature element [{1}] must be unique in expressed feature function call."
    2231: SzConfigurationError,             # EAS_ERR_FTYPE_CODE_AND_FELEM_CODE_IN_EXPRESSED_FUNCTION_CALL_DO_NOT_EXIST_IN_FEATURE  "Feature type [{0}] and feature element [{1}] requested for expressed feature function call, but don't exist in feature [{0}]."
    2232: SzConfigurationError,             # EAS_ERR_FELEM_CODE_MUST_BE_UNIQUE_IN_COMPARISON_FUNCTION_CALL                         "Feature element [{0}] must be unique in comparison feature function call."
    2233: SzConfigurationError,             # EAS_ERR_FELEM_CODE_IN_COMPARISON_FUNCTION_CALL_DOES_NOT_EXIST_IN_FEATURE              "Feature element [{0}] requested for comparison feature function call, but doesn't exist in feature [{1}]."
    2234: SzConfigurationError,             # EAS_ERR_FELEM_CODE_MUST_BE_UNIQUE_IN_DISTINCT_FUNCTION_CALL                           "Feature element [{0}] must be unique in distinct feature function call."
    2235: SzConfigurationError,             # EAS_ERR_FELEM_CODE_IN_DISTINCT_FUNCTION_CALL_DOES_NOT_EXIST_IN_FEATURE                "Feature element [{0}] requested for distinct feature function call, but doesn't exist in feature [{1}]."
    2236: SzConfigurationError,             # EAS_ERR_EXEC_ORDER_IS_NOT_SPECIFIED_FOR_FUNCTION                                      "Exec order not specified for function."
    2237: SzConfigurationError,             # EAS_ERR_SFCALL_ID_ALREADY_EXISTS                                                      "Standardization function call ID [{0}] already exists."
    2238: SzConfigurationError,             # EAS_ERR_EFCALL_ID_ALREADY_EXISTS                                                      "Expression function call ID [{0}] already exists."
    2239: SzConfigurationError,             # EAS_ERR_CFCALL_ID_ALREADY_EXISTS                                                      "Comparison function call ID [{0}] already exists."
    2240: SzConfigurationError,             # EAS_ERR_DFCALL_ID_ALREADY_EXISTS                                                      "Distinct feature function call ID [{0}] already exists."
    2241: SzConfigurationError,             # EAS_ERR_FTYPE_CODE_REQUIRED_BY_SEPARATE_EXPRESSED_FUNCTION_CALL                       "Feature type [{0}] required for separate expressed feature function call [{1}]."
    2242: SzConfigurationError,             # EAS_ERR_SFCALL_ID_DOES_NOT_EXIST                                                      "Standardization function call ID [{0}] does not exist."
    2243: SzConfigurationError,             # EAS_ERR_EFCALL_ID_DOES_NOT_EXIST                                                      "Expression function call ID [{0}] does not exist."
    2244: SzConfigurationError,             # EAS_ERR_CFCALL_ID_DOES_NOT_EXIST                                                      "Comparison function call ID [{0}] does not exist."
    2245: SzConfigurationError,             # EAS_ERR_DFCALL_ID_DOES_NOT_EXIST                                                      "Distinct feature function call ID [{0}] does not exist."
    2246: SzConfigurationError,             # EAS_ERR_BOM_EXEC_ORDER_ALREADY_EXISTS                                                 "BOM exec order value [{0}] already exists."
    2247: SzConfigurationError,             # EAS_ERR_COMPARISON_FUNCTION_CALL_DOES_NOT_EXIST_FOR_FEATURE                           "Comparison function call does not exist for feature [{0}]."
    2248: SzConfigurationError,             # EAS_ERR_DISTINCT_FUNCTION_CALL_DOES_NOT_EXIST_FOR_FEATURE                             "Distinct feature function call does not exist for feature [{0}]."
    2249: SzConfigurationError,             # EAS_ERR_CONFLICTING_SPECIFIERS_FOR_FUNCTION_CALL                                      "Conflicting specifiers: Function call ID [{0}] does not match function call ID [{1}] from feature type."
    2250: SzConfigurationError,             # EAS_ERR_ATTR_CODE_DOES_NOT_EXIST                                                      "Attribute code [{0}] does not exist."
    2251: SzConfigurationError,             # EAS_ERR_ATTR_CODE_ALREADY_EXISTS                                                      "Attribute code [{0}] already exists."
    2252: SzConfigurationError,             # EAS_ERR_ATTR_ID_ALREADY_EXISTS                                                        "Attribute ID [{0}] already exists."
    2253: SzConfigurationError,             # EAS_ERR_ATTR_CLASS_CODE_DOES_NOT_EXIST                                                "Attribute class code [{0}] does not exist."
    2254: SzConfigurationError,             # EAS_ERR_FUNCTION_USES_NEITHER_FTYPE_NOR_FELEM_TRIGGER                                 "Function call requested uses neither triggering feature type [{0}] nor triggering feature element code [{1}].  At least one trigger must be specified."
    2255: SzConfigurationError,             # EAS_ERR_FEATURE_CLASS_CODE_DOES_NOT_EXIST                                             "Feature class code [{0}] does not exist."
    2256: SzConfigurationError,             # EAS_ERR_RELATIONSHIP_TYPE_CODE_DOES_NOT_EXIST                                         "Relationship type code [{0}] does not exist."
    2257: SzConfigurationError,             # EAS_ERR_FELEM_CODE_NOT_IN_FEATURE                                                     "Feature element code [{0}] not included in feature[{1}]."
    2258: SzConfigurationError,             # EAS_ERR_ER_FRAGMENT_DOES_NOT_EXIST                                                    "ER fragment code [{0}] does not exist."
    2259: SzConfigurationError,             # EAS_ERR_ER_RULE_DOES_NOT_EXIST                                                        "ER rule code [{0}] does not exist."
    2260: SzConfigurationError,             # EAS_ERR_ERFRAG_ID_ALREADY_EXISTS                                                      "ER fragment ID [{0}] already exists."
    2261: SzConfigurationError,             # EAS_ERR_ERRULE_ID_ALREADY_EXISTS                                                      "ER rule ID [{0}] already exists."
    2262: SzConfigurationError,             # EAS_ERR_ERFRAG_CODE_ALREADY_EXISTS                                                    "ER fragment code [{0}] already exists."
    2263: SzConfigurationError,             # EAS_ERR_ERRULE_CODE_ALREADY_EXISTS                                                    "ER rule code [{0}] already exists."
    2264: SzConfigurationError,             # EAS_ERR_ERFRAG_CODE_DOES_NOT_EXIST                                                    "ER fragment code [{0}] does not exist."
    2266: SzConfigurationError,             # EAS_ERR_ERFRAG_CODE_MUST_BE_UNIQUE_IN_DEPENDENCY_LIST                                 "ER fragment code [{0}] must be unique in dependency list."
    2267: SzConfigurationError,             # EAS_ERR_SECTION_NAME_ALREADY_EXISTS                                                   "Section name [{0}] already exists."
    2268: SzConfigurationError,             # EAS_ERR_SECTION_NAME_DOES_NOT_EXIST                                                   "Section name [{0}] does not exist."
    2269: SzConfigurationError,             # EAS_ERR_SECTION_FIELD_NAME_ALREADY_EXISTS                                             "Section field name [{0}] already exists."
    2270: SzConfigurationError,             # EAS_ERR_SFUNC_ID_ALREADY_EXISTS                                                       "Feature standardization function ID [{0}] already exists."
    2271: SzConfigurationError,             # EAS_ERR_SFUNC_CODE_ALREADY_EXISTS                                                     "Feature standardization function code [{0}] already exists."
    2272: SzConfigurationError,             # EAS_ERR_EFUNC_ID_ALREADY_EXISTS                                                       "Feature expression function ID [{0}] already exists."
    2273: SzConfigurationError,             # EAS_ERR_EFUNC_CODE_ALREADY_EXISTS                                                     "Feature expression function code [{0}] already exists."
    2274: SzConfigurationError,             # EAS_ERR_CFUNC_ID_ALREADY_EXISTS                                                       "Feature comparison function ID [{0}] already exists."
    2275: SzConfigurationError,             # EAS_ERR_CFUNC_CODE_ALREADY_EXISTS                                                     "Feature comparison function code [{0}] already exists."
    2276: SzConfigurationError,             # EAS_ERR_DFUNC_ID_ALREADY_EXISTS                                                       "Feature distinct function ID [{0}] already exists."
    2277: SzConfigurationError,             # EAS_ERR_DFUNC_CODE_ALREADY_EXISTS                                                     "Feature distinct function code [{0}] already exists."
    2278: SzConfigurationError,             # EAS_ERR_COMPATIBILITY_VERSION_NOT_FOUND_IN_CONFIG                                     "Compatibility version not found in document."
    2279: SzConfigurationError,             # EAS_ERR_CFRTN_ID_ALREADY_EXISTS                                                       "Feature comparison function return ID [{0}] already exists."
    2280: SzConfigurationError,             # EAS_ERR_CFUNC_CODE_DOES_NOT_EXIST                                                     "Feature comparison function code [{0}] does not exist."
    2281: SzConfigurationError,             # EAS_ERR_CFRTN_VALUE_ALREADY_EXISTS                                                    "Feature comparison function return value [{0}] already exists for comparison function [{1}] ftype [{2}]."
    2282: SzConfigurationError,             # EAS_ERR_CFUNC_EXEC_ORDER_ALREADY_EXISTS                                               "Feature comparison function exec order value [{0}] already exists for comparison function [{1}] ftype [{2}]."
    2283: SzConfigurationError,             # EAS_ERR_EFUNC_CODE_DOES_NOT_EXIST                                                     "Feature expression function code [{0}] does not exist."
    2285: SzError,                          # EAS_ERR_INVALID_FORMAT_FOR_ENTITIES                                                   "Invalid format for ENTITIES."
    2286: SzError,                          # EAS_ERR_NO_ENTITY_ID_FOUND_FOR_ENTITY                                                 "No entity ID found for entity."
    2287: SzError,                          # EAS_ERR_NO_DATA_SOURCE_FOUND                                                          "No data source found."
    2288: SzError,                          # EAS_ERR_NO_RECORD_ID_FOUND                                                            "No record ID found."
    2289: SzConfigurationError,             # EAS_ERR_INVALID_FEATURE_CLASS_FOR_FEATURE_TYPE                                        "Invalid feature class [{0}] for feature type [{1}]."
    2290: SzConfigurationError,             # EAS_ERR_FRAGMENT_IS_CONFIGURED_FOR_USE_IN_RULES                                       "Rule fragment [{0}] is configured for use in rules(s) [{1}]."
    2291: SzConfigurationError,             # EAS_ERR_FRAGMENT_IS_CONFIGURED_FOR_USE_IN_FRAGMENT                                    "Rule fragment [{0}] is configured for use in fragments(s) [{1}]."
    2292: SzError,                          # EAS_ERR_CANT_RETRIEVE_OBS_FEATURE_DATA_FOR_OBS_ENT                                    "Could not retrieve observed feature data for observed entity [{0}]."
    2293: SzError,                          # EAS_ERR_NO_RECORDS_SPECIFIED                                                          "No records specified."
    2294: SzError,                          # EAS_ERR_DATA_SOURCE_ID_DOES_NOT_EXIST                                                 "Data source ID [{0}] does not exist."
    3011: SzError,                          # EAS_ERR_DELETE_WITH_RESOLVE_ONLY                                                      "Cannot delete an entity with type RESOLVE_ONLY"
    3101: SzError,                          # EAS_ERR_INVALID_SESSION_HANDLE                                                        "Invalid Session Handle [{0}]"
    3102: SzError,                          # EAS_ERR_INVALID_REPORT_HANDLE                                                         "Invalid Report Handle [{0}]"
    3103: SzError,                          # EAS_ERR_INVALID_EXPORT_HANDLE                                                         "Invalid Export Handle [{0}]"
    3104: SzError,                          # EAS_ERR_INVALID_CONFIG_HANDLE                                                         "Invalid Config Handle [{0}]"
    3110: SzError,                          # EAS_ERR_RESPONSE_MESSAGE_SIZE_LARGER_THAN_BUFFER_SIZE                                 "Response message size [{0}] is larger than buffer size [{1}]"
    3111: SzError,                          # EAS_ERR_RESPONSE_RESIZE_FUNCTION_IS_NOT_PROVIDED                                      "Resize function is not provided"
    3112: SzError,                          # EAS_ERR_RESPONSE_RESIZE_FUNCTION_GAVE_INVALID_RESULT                                  "Resize function returned an invalid result"
    3121: SzBadInputError,                  # EAS_ERR_JSON_PARSING_FAILURE                                                          "JSON Parsing Failure [code={0},offset={1}]"
    3122: SzBadInputError,                  # EAS_ERR_JSON_PARSING_FAILURE_MUST_BE_OBJECT_OR_ARRAY                                  "JSON Parsing Failure.  JSON must be object or array."
    3123: SzBadInputError,                  # EAS_ERR_JSON_PARSING_FAILURE_OBJECT_HAS_DUPLICATE_KEYS                                "Json object has duplicate keys."
    3131: SzBadInputError,                  # EAS_ERR_UNKNOWN_COLUMN_REQUESTED_FOR_CSV_EXPORT                                       "Invalid column [{0}] requested for CSV export."
    7209: SzConfigurationError,             # EAS_ERR_DB_BAD_BACKEND_TYPE                                                           "Invalid [SQL] Backend Parameter. Valid values are SQL or HYBRID"
    7211: SzConfigurationError,             # EAS_ERR_DB_BAD_CLUSTER_SIZE                                                           "Cluster [{0}] is configured with an invalid size. Size must be equal to 1."
    7212: SzConfigurationError,             # EAS_ERR_DB_BAD_CLUSTER_NODE                                                           "Cluster [{0}] Node [{1}] is not configured."
    7216: SzConfigurationError,             # EAS_ERR_DB_BAD_CLUSTER_DEFINITION                                                     "Cluster [{0}] is not properly configured"
    7217: SzConfigurationError,             # EAS_ERR_DB_CONFLICTING_DEFAULT_SHARD_CONFIG                                           "Cannot specify both default backend database and default backend cluster"
    7218: SzConfigurationError,             # EAS_ERR_DB_CLUSTER_DOES_NOT_EXIST                                                     "Cluster [{0}] does not exist"
    7219: SzError,                          # EAS_ERR_DB_TYPE_DOES_NOT_SUPPORT_EMBEDDING_DATA_TYPES                                 "Database type [{0}] does not support embedding data types"
    7220: SzConfigurationError,             # EAS_ERR_NO_CONFIG_REGISTERED_IN_DATASTORE                                             "No engine configuration registered in datastore"
    7221: SzConfigurationError,             # EAS_ERR_NO_CONFIG_REGISTERED_FOR_DATA_ID                                              "No engine configuration registered with data ID [{0}]."
    7222: SzError,                          # EAS_ERR_FAILED_TO_SET_SYS_VAR_IN_DATASTORE                                            "Could not set system variable value in database for Group[{0}],Code[{1}],Value[{2}]."
    7223: SzConfigurationError,             # EAS_ERR_INVALID_SCHEMA_VERSION_IN_DATASTORE                                           "Invalid version number for datastore schema [version '{0}']."
    7224: SzConfigurationError,             # EAS_ERR_INVALID_SCHEMA_VERSION_IN_ENGINE                                              "Invalid version number for engine schema [version '{0}']."
    7226: SzConfigurationError,             # EAS_ERR_INCOMPATIBLE_DATASTORE_SCHEMA_VERSION                                         "Incompatible datastore schema version: [Engine version '{0}'.  Datastore version '{1}' is installed, but must be between '{2}' and '{3}'.]"
    7227: SzConfigurationError,             # EAS_ERR_CONFLICTING_SCHEMA_VERSIONS_IN_DATASTORE                                      "Conflicting version numbers for datastore schema [{0}]."
    7228: SzConfigurationError,             # EAS_ERR_INVALID_SCHEMA_VERSION                                                        "Invalid schema version number [version '{0}']."
    7230: SzConfigurationError,             # EAS_ERR_ENGINE_CONFIGURATION_FILE_NOT_FOUND                                           "Engine configuration file not found [{0}]."
    7232: SzConfigurationError,             # EAS_ERR_ENGINE_CONFIGURATION_NOT_FOUND                                                "No engine configuration found."
    7233: SzConfigurationError,             # EAS_ERR_DATASTORE_ENCRYPTION_SIGNATURE_IS_INCOMPATIBLE                                "Datastore encryption signature is not compatible."
    7234: SzConfigurationError,             # EAS_ERR_FAILED_TO_GET_ENCRYPTION_SIGNATURE                                            "Failed to get encryption signature: '{0}'"
    7235: SzConfigurationError,             # EAS_ERR_FTYPE_CONFIGURED_AS_REL_BUT_NO_RTYPE                                          "FTYPE_CODE[{0}] IS CONFIGURED AS A RELATIONSHIP FEATURE TYPE BUT RTYPE_ID IS NOT SET."
    7236: SzConfigurationError,             # EAS_ERR_DUPLICATE_BEHAVIOR_OVERRIDE_KEY_IN_CFG_FBOVR                                  "Duplicate behavior override keys in CFG_FBOVR -- FTYPE_ID[{0}], UTYPE_CODE[{1}] referenced in CFG_FBOVR."
    7237: SzConfigurationError,             # EAS_ERR_UNKNOWN_FTYPE_IN_TABLE                                                        "Unknown FTYPE_ID[{0}] referenced in {1}."
    7238: SzError,                          # EAS_ERR_DATASTORE_ENCRYPTION_CONFIGURATION_DOES_NOT_MATCH_DATASTORE                   "Datastore encryption configuration does not match data store:  '{0}'"
    7239: SzConfigurationError,             # EAS_ERR_INVALID_GENERIC_THRESHOLD_CAP                                                 "Invalid generic threshold {0} cap [{1}] for [GPLAN_ID[{2}], BEHAVIOR[{3}], FTYPE_ID[{4}]]."
    7240: SzConfigurationError,             # EAS_ERR_INCORRECT_BEHAVIOR_REFERENCED                                                 "Incorrect BEHAVIOR[{0}] referenced in CFG_GENERIC_THRESHOLD for [GPLAN_ID[{1}], FTYPE_ID[{2}]].  FType configured for behavior [{3}]"
    7241: SzConfigurationError,             # EAS_ERR_UNKNOWN_GPLAN_IN_TABLE                                                        "Unknown GPLAN_ID[{0}] referenced in {1}."
    7242: SzConfigurationError,             # EAS_ERR_MULTIPLE_GENERIC_THRESHOLD_DEFINITIONS                                        "Multiple Generic Threshold definitions for [GPLAN_ID[{0}], BEHAVIOR[{1}], FTYPE_ID[{2}]]."
    7243: SzConfigurationError,             # EAS_ERR_ER_FRAGMENT_HAS_UNDEFINED_DEPENDENT_FRAGMENTS                                 "ER Fragment [{0}] configured with undefined dependent fragments. Fragment [{1}] undefined."
    7244: SzConfigurationError,             # EAS_ERR_ER_RULE_FRAGMENT_LACKS_REQUIRED_FRAGMENT                                      "ER Rule Fragment configuration lacks the required {0} fragment."
    7245: SzReplaceConflictError,           # EAS_ERR_CURRENT_CONFIG_REGISTERED_DOES_NOT_MATCH_DATA_ID                              "Current configuration ID does not match specified data ID [{0}]."
    7246: SzConfigurationError,             # EAS_ERR_INVALID_MAXIMUM_DATASTORE_SCHEMA_VERSION                                      "Invalid maximum datastore version number for engine schema [version '{0}']."
    7247: SzConfigurationError,             # EAS_ERR_INVALID_MINIMUM_DATASTORE_SCHEMA_VERSION                                      "Invalid minimum datastore version number for engine schema [version '{0}']."
    7303: SzBadInputError,                  # EAS_ERR_MANDATORY_SEGMENT_WITH_MISSING_REQUIREMENTS                                   "Mandatory segment with missing requirements:"
    7305: SzBadInputError,                  # EAS_ERR_MISSING_JSON_ROOT_ELEMENT                                                     "No root element name in json TEMPLATE"
    7313: SzBadInputError,                  # EAS_ERR_REQUIRED_ELEMENT_WITH_EMPTY_FIELD                                             "A non-empty value for [{0}] must be specified."
    7314: SzBadInputError,                  # EAS_ERR_REQUIRED_ELEMENT_NOT_FOUND                                                    "A value for [{0}] must be specified."
    7317: SzConfigurationError,             # EAS_ERR_FAILED_TO_OPEN_FILE                                                           "Failed to open file: {0}"
    7344: SzConfigurationError,             # EAS_ERR_UNKNOWN_MAPPING_DIRECTIVE                                                     "Invalid mapping directive [{0}] for attribute [{1}]."
    7426: SzBadInputError,                  # EAS_ERR_XLITERATOR_FAILED                                                             "Transliteration failed"
    7511: SzError,                          # EAS_ERR_ABORT_ER_AND_RETRY                                                            "Detected change in candidate entity[{0}].  Restarting ER evaluation."
    8000: SzBadInputError,                  # EAS_ERR_GNRNP                                                                         "GNR NameParser Failure"
    8410: SzError,                          # EAS_ERR_UNINITIALIZED_AMBIGUOUS_FEATURE                                               "Cannot use uninitialized ambiguous feature."
    8501: SzConfigurationError,             # EAS_ERR_SALT_DIGEST_ALGORITHM_NOT_AVAILABLE                                           "Failed to get {0} digest algorithm from ICC."
    8502: SzError,                          # EAS_ERR_SALT_DIGEST_CONTEXT_CREATE_FAILED                                             "Failed to create a digest context."
    8503: SzError,                          # EAS_ERR_SALT_DIGEST_CONTEXT_INIT_FAILED                                               "Failed {0} to initialize a digest context."
    8504: SzError,                          # EAS_ERR_SALT_DIGEST_FAILED                                                            "Failed {0} to digest block {1}."
    8505: SzError,                          # EAS_ERR_SALT_DIGEST_FINAL_FAILED                                                      "Failed {0} to complete digest."
    8508: SzError,                          # EAS_ERR_SALT_DIGEST_UNKNOWN_EXCEPTION                                                 "Unrecognized exception thrown generating digest."
    8509: SzError,                          # EAS_ERR_SALT_DIGEST_ALGORITHM_REQUIRED                                                "Cannot generate a digest without a valid algorithm."
    8514: SzError,                          # EAS_ERR_SALT_RANDOM_FAILED                                                            "Failed {0} to get random content"
    8516: SzConfigurationError,             # EAS_ERR_SALT_MUST_BE_SIZE                                                             "A salt value must be {0} bytes long but the provided one is {1} bytes."
    8517: SzConfigurationError,             # EAS_ERR_SALT_DOES_NOT_MATCH_CHECKSUM                                                  "The salt value does not match the recorded checksum."
    8520: SzError,                          # EAS_ERR_SALT_SZSS_INIT_FAILED                                                         "Secure Store initialization failed."
    8521: SzError,                          # EAS_ERR_SALT_SZSS_TOKEN_MUST_BE_INIT                                                  "Hashing with a named salt requires the Secure Store to be initialized."
    8522: SzConfigurationError,             # EAS_ERR_SALT_SZSS_SOPIN_NOT_VALID                                                     "The Security Officer (SO) PIN is not correct."
    8524: SzError,                          # EAS_ERR_SALT_SZSS_INIT_UNKNOWN_EXCEPTION                                              "Secure Store initialization failed with an unrecognized exception"
    8525: SzConfigurationError,             # EAS_ERR_SALT_SZSS_REQUIRED_FOR_LOAD                                                   "Secure Store is required to load salt"
    8526: SzConfigurationError,             # EAS_ERR_SALT_SZSS_REQUIRED_FOR_GENERATE                                               "Secure Store is required to generate salt"
    8527: SzConfigurationError,             # EAS_ERR_SALT_SZSS_REQUIRED_FOR_IMPORT                                                 "Secure Store is required to import salt"
    8528: SzConfigurationError,             # EAS_ERR_SALT_SZSS_REQUIRED_FOR_EXPORT                                                 "Secure Store is required to export salt"
    8529: SzConfigurationError,             # EAS_ERR_SALT_SZSS_REQUIRED_FOR_DELETE                                                 "Secure Store is required to delete salt"
    8530: SzError,                          # EAS_ERR_SALT_CANNOT_OVERWRITE                                                         "You cannot overwrite an existing salt called {0}"
    8536: SzConfigurationError,             # EAS_ERR_SALT_SZSS_REQUIRED_FOR_LEGACY                                                 "Secure Store is required to add a legacy salt"
    8538: SzConfigurationError,             # EAS_ERR_SALT_SZSS_REQUIRED_FOR_METHOD                                                 "Secure Store is required to change hashing method"
    8539: SzError,                          # EAS_ERR_SALT_SZSS_ERROR_CHANGING_METHOD                                               "Secure Store error changing hashing method"
    8540: SzConfigurationError,             # EAS_ERR_SALT_WRONG_SIZE                                                               "The object called {0} is not a salt"
    8541: SzError,                          # EAS_ERR_SALT_BASE64_DECODE_ERROR                                                      "Base64 decoding error in salt {0} at character {1}"
    8542: SzError,                          # EAS_ERR_SALT_UNINITIALIZED                                                            "Must load a salt before using it."
    8543: SzConfigurationError,             # EAS_ERR_SALT_NOT_FOUND                                                                "There is no salt called {0} in the Secure Store."
    8544: SzConfigurationError,             # EAS_ERR_SALT_PASSWORD_NOT_STRONG_ENOUGH                                               "The password must be stronger: {0}"
    8545: SzConfigurationError,             # EAS_ERR_SALT_ADMIN_NAME_REQUIRED                                                      "Specify -name and the name to use for the salt"
    8556: SzConfigurationError,             # EAS_ERR_SALT_ADMIN_METHOD_NOT_RECOGNISED                                              "Hashing method {0} not supported."
    8557: SzConfigurationError,             # EAS_ERR_SALT_METHOD_DOES_NOT_MATCH                                                    "The hashing method in the configuration ({1}) does not match the method ({2}) of the salt {0}"
    8593: SzError,                          # EAS_ERR_SALT_HMAC_CONTEXT_INIT_FAILED                                                 "Failed {0} to initialize an HMAC context."
    8594: SzError,                          # EAS_ERR_SALT_HMAC_FAILED                                                              "Failed {0} to HMAC block {1}."
    8595: SzError,                          # EAS_ERR_SALT_HMAC_FINAL_FAILED                                                        "Failed {0} to complete HMAC."
    8598: SzError,                          # EAS_ERR_SALT_HMAC_UNKNOWN_EXCEPTION                                                   "Unrecognized exception thrown generating HMAC."
    8599: SzConfigurationError,             # EAS_ERR_SALT_UNKNOWN_HASHING_METHOD                                                   "Unrecognized hashing method ({0}) requested."
    8601: SzConfigurationError,             # EAS_ERR_HASHER_REQUIRES_SECURE_STORE                                                  "Using a named salt requires the Secure Store configured and running"
    8602: SzConfigurationError,             # EAS_ERR_HASHER_CHECKSUM_DOES_NOT_MATCH                                                "The hashing checksum configured ({1}) does not match the checksum ({2}) of the salt named {0}"
    8603: SzError,                          # EAS_ERR_HASHER_UNABLE_TO_RECORD_SALT                                                  "Unable to record the configured salt"
    8604: SzConfigurationError,             # EAS_ERR_HASHER_REQUIRES_FUNCTION                                                      "Using hashing requires a configured hashing function"
    8605: SzConfigurationError,             # EAS_ERR_HASHER_EPHEMERAL_OR_NAMED_SALT                                                "Specify either a named salt or an ephemeral one. Can not have both"
    8606: SzConfigurationError,             # EAS_ERR_HASHER_SALT_REQUIRED                                                          "Hashing requires a salt to be configured."
    8607: SzConfigurationError,             # EAS_ERR_HASHER_INVALID_ARGS                                                           "Invalid arguments to hashing function. Either a parameter wasn't provided or a buffer was too small: location={0}, dataPtr={1}, dataLength={2}, outputPtr={3}, outputLength={4}, output={5}"
    8608: SzConfigurationError,             # EAS_ERR_NO_SALT_VALUE_CONFIGURED                                                      "No salt value is configured. A salt value must be configured if you wish to export the token library."
    8701: SzConfigurationError,             # EAS_ERR_PARAMETER_NOT_READABLE                                                        "The parameter store does not support a read interface"
    8702: SzConfigurationError,             # EAS_ERR_PARAMETER_NOT_WRITABLE                                                        "The parameter store does not support a write interface"
    9000: SzLicenseError,                   # EAS_LIMIT_MAX_OBS_ENT                                                                 "LIMIT: Maximum number of records ingested: {0}"
    9107: SzConfigurationError,             # EAS_ERR_CANT_GET_PARAMETER_FROM_THE_STORE                                             "Cannot get parameter [{0}] from parameter store"
    9110: SzConfigurationError,             # EAS_ERR_INSUFFICIENT_CONFIG                                                           "Insufficient configuration for the {0} table!"
    9111: SzConfigurationError,             # EAS_ERR_PARSE_FRAGMENT                                                                "ERROR parsing FragmentID[{0}] FragmentName[{1}] : [{2}] is an invalid RuleID dependency"
    9112: SzConfigurationError,             # EAS_ERR_FAILED_TO_OPEN_INI_FILE_FOR_WRITING                                           "Failed to open ini file for writing [{0}]"
    9113: SzConfigurationError,             # EAS_ERR_FAILED_TO_OPEN_INI_FILE_FOR_READING                                           "Failed to open ini file for reading [{0}]"
    9115: SzBadInputError,                  # EAS_ERR_INPUT_NOT_STANDARDIZED                                                        "Cannot process Observation that has not been standardized"
    9116: SzConfigurationError,             # EAS_ERR_CONFIG_TABLE_NOT_FOUND                                                        "CONFIG information for {0} not found!"
    9117: SzConfigurationError,             # EAS_ERR_CONFIG_TABLE_COLUMN_NOT_FOUND                                                 "CONFIG information for {0} not found in {1}!"
    9118: SzConfigurationError,             # EAS_ERR_CONFIG_TABLE_COLUMN_INDEX_NOT_FOUND                                           "Invalid column index {0} queried from {1} container!"
    9119: SzConfigurationError,             # EAS_ERR_CONFIG_TABLE_COLUMN_NAME_NOT_FOUND                                            "Invalid column name {0} queried from {1} container!"
    9120: SzConfigurationError,             # EAS_ERR_CONFIG_TABLE_MALFORMED                                                        "CONFIG information for {0} is malformed!"
    9210: SzConfigurationError,             # EAS_ERR_DIGEST_CONTEXT_INIT_FAILED                                                    "Unable to initialize Digest Context."
    9220: SzConfigurationError,             # EAS_ERR_FTYPE_CANNOT_BE_HASHED                                                        "FType configured to be hashed, but cannot be scored.  FTYPE_ID[{0}] FTYPE_CODE[{1}]"
    9222: SzConfigurationError,             # EAS_ERR_FTYPE_CONFIGURED_TO_BE_HASHED_MISSING_SALT                                    "A Feature Type is marked for hashing, but a valid salt value was not found.  FTYPE_ID[{0}] FTYPE_CODE[{1}]"
    9224: SzConfigurationError,             # EAS_ERR_FTYPE_CONFIGURED_TO_BE_HASHED                                                 "FType configured to be hashed, but no hashable data found.  FTYPE_ID[{0}] FTYPE_CODE[{1}]"
    9228: SzConfigurationError,             # EAS_ERR_UNEXPECTED_SALT_CHECKSUM_LIST                                                 "The SALT checksum on the Observation does not match the EXPECTED SALT checksum: EXPECTED=[{0}] Observation=[{1}]"
    9240: SzConfigurationError,             # EAS_ERR_CIPHER_CONTEXT_INIT_FAILED                                                    "Unable to initialize an ICC Context."
    9241: SzConfigurationError,             # EAS_ERR_CIPHER_OP_FAILED                                                              "Unable to perform a required ICC operation."
    9250: SzConfigurationError,             # EAS_ERR_SZSS_INVALID_LIB                                                              "Invalid ({1}) Secure Store plug-in library: {0}"
    9251: SzConfigurationError,             # EAS_ERR_SZSS_INVALID_URL                                                              "Invalid Secure Store URL: {0}"
    9252: SzConfigurationError,             # EAS_ERR_SZSS_INVALID_PIN                                                              "Invalid Secure Store credential specification: {0}"
    9253: SzConfigurationError,             # EAS_ERR_SZSS_TOKEN_INIT_FAILED                                                        "Secure Store token initialization failed: {0}."
    9254: SzConfigurationError,             # EAS_ERR_SZSS_TOKEN_UNINITIALIZED                                                      "Cannot open a Secure Store session when the token is uninitialized."
    9255: SzConfigurationError,             # EAS_ERR_SZSS_USER_PIN_UNINITIALIZED                                                   "Secure Store credential is uninitialized."
    9256: SzConfigurationError,             # EAS_ERR_SZSS_SESSION_OPEN                                                             "Cannot open a Secure Store session when one is already open."
    9257: SzConfigurationError,             # EAS_ERR_SZSS_NO_SESSION                                                               "Cannot use Secure Store without a session."
    9258: SzConfigurationError,             # EAS_ERR_SZSS_SESSION_OPEN_FAILED                                                      "Secure Store session could not be opened: {0}."
    9259: SzConfigurationError,             # EAS_ERR_SZSS_ADMIN_LOGIN_FAILED                                                       "Secure Store admin login failed: {0}."
    9260: SzConfigurationError,             # EAS_ERR_SZSS_USER_LOGIN_FAILED                                                        "Secure Store user login failed: {0}."
    9261: SzConfigurationError,             # EAS_ERR_SZSS_PKCS11_ERROR                                                             "Secure Store function failed: {0}"
    9264: SzConfigurationError,             # EAS_ERR_SZSS_LOGOUT_FAILED                                                            "Secure Store logout failed: {0}."
    9265: SzConfigurationError,             # EAS_ERR_SZSS_NEED_RW_SESSION                                                          "Secure Store session must be read/write."
    9266: SzConfigurationError,             # EAS_ERR_SZSS_UNABLE_TO_VERIFY_KEY                                                     "Secure Store key does not meet requirements."
    9267: SzError,                          # EAS_ERR_SZSS_UNABLE_TO_CREATE_KEY                                                     "Secure Store key creation failed."
    9268: SzError,                          # EAS_ERR_SZSS_UNABLE_TO_CHANGE_PIN                                                     "Secure Store password change failed: {0}."
    9269: SzConfigurationError,             # EAS_ERR_SZSS_INVALID_OLD_CREDENTIAL                                                   "Secure Store old credential is invalid."
    9270: SzConfigurationError,             # EAS_ERR_SZSS_INVALID_NEW_CREDENTIAL                                                   "Secure Store new credential is invalid."
    9271: SzError,                          # EAS_ERR_SZSS_OUT_OF_MEMORY                                                            "Secure Store out of memory."
    9272: SzError,                          # EAS_ERR_SZSS_FIND_INIT_FAILED                                                         "Secure Store object locating failed: {0}."
    9273: SzError,                          # EAS_ERR_SZSS_FIND_FAILED                                                              "Secure Store object find failed: {0}."
    9274: SzError,                          # EAS_ERR_SZSS_CRYPTO_SETUP_FAILED                                                      "Secure Store setup of encryption failed: {0}."
    9275: SzError,                          # EAS_ERR_SZSS_ENCRYPT_START_FAILED                                                     "Secure Store unable to start encryption: {0}."
    9276: SzError,                          # EAS_ERR_SZSS_ENCRYPT_SIZE_FAILED                                                      "Secure Store unable to get the size of encrypted data: {0}."
    9277: SzError,                          # EAS_ERR_SZSS_ENCRYPT_FAILED                                                           "Secure Store encryption failed: {0}."
    9278: SzError,                          # EAS_ERR_SZSS_DECRYPT_START_FAILED                                                     "Secure Store unable to start decryption: {0}."
    9279: SzError,                          # EAS_ERR_SZSS_DECRYPT_FAILED                                                           "Secure Store decryption failed: {0}."
    9280: SzError,                          # EAS_ERR_SZSS_OBJECT_SAVE_FAILED                                                       "Secure Store unable to save object: {0}."
    9281: SzError,                          # EAS_ERR_SZSS_OBJECT_DELETE_FAILED                                                     "Secure Store unable to delete object: {0}."
    9282: SzError,                          # EAS_ERR_SZSS_OBJECT_CHANGE_FAILED                                                     "Secure Store unable to modify object: {0}."
    9283: SzError,                          # EAS_ERR_SZSS_UNINITIALIZED                                                            "Secure Store has not been initialized"
    9284: SzConfigurationError,             # EAS_ERR_SZSS_INVALID_SLOT_ID                                                          "Can not obtain info on specified slot. Possibly invalid slot ID specified in Secure Store URL: {0}"
    9285: SzConfigurationError,             # EAS_ERR_SZSS_NO_TOKEN_IN_SLOT                                                         "No security token present in slot specified by Secure Store URL: slot ID = {0}"
    9286: SzConfigurationError,             # EAS_ERR_SZSS_TOKEN_NOT_FOUND                                                          "Can not obtain info for security token. Possibly invalid token label and/or slot ID specified in Secure Store URL: {0}"
    9287: SzError,                          # EAS_ERR_SZSS_TOKEN_IMPL_ERROR                                                         "An internal error occurred in the security token implementation library: Return Code = {0}"
    9288: SzError,                          # EAS_ERR_SZSS_USER_PIN_PROMPT_FAILED                                                   "Was unable to prompt user for security token authentication."
    9289: SzError,                          # EAS_ERR_SZSS_LABEL_CHANGED_SINCE_CONFIG_INIT                                          "Secure Store has been reconfigured since loading."
    9290: SzError,                          # EAS_ERR_SZSS_OBJECT_NOT_FOUND                                                         "Secure Store does not have an object called {0}."
    9292: SzConfigurationError,             # EAS_ERR_SZSS_NO_PASSWORD                                                              "No password supplied"
    9293: SzConfigurationError,             # EAS_ERR_SZSS_NO_SEC_STORE_PREFIX                                                      "Secure Store expects a different format (starting with {0}) when a password is supplied"
    9295: SzConfigurationError,             # EAS_ERR_SZSS_NO_DATA_OBJECTS                                                          "There are no Secure Store objects stored on the token"
    9296: SzConfigurationError,             # EAS_ERR_SZSS_SEC_STORE_ARCHIVE_BAD                                                    "The exported archive appears to be corrupted around object {0}"
    9297: SzConfigurationError,             # EAS_ERR_SZSS_FILE_NOT_FOUND                                                           "Secure Store failed to open {0}"
    9298: SzConfigurationError,             # EAS_ERR_SZSS_FILE_CONTENTS_BAD                                                        "Secure Store contents of {0} not usable."
    9299: SzError,                          # EAS_ERR_SZSS_CLASS_NOT_INIT                                                           "Secure Store internal error."
    9300: SzConfigurationError,             # EAS_ERR_SZSS_PASSWORD_CHECK_ERROR                                                     "Secure Store internal error ({0}) checking password."
    9301: SzConfigurationError,             # EAS_ERR_MISSING_SEQUENCE_ENTRY                                                        "Missing Sequence Entry[{0}] in the SYS_SEQUENCE table!"
    9305: SzError,                          # EAS_ERR_SEQUENCE_RETRIES_FAILED                                                       "Retries failed to retrieve Sequence Entry[{0}] in the SYS_SEQUENCE table!  This may mean the CACHE_SIZE is too small."
    9308: SzConfigurationError,             # EAS_ERR_MISSING_STATUS_ENTRY                                                          "Could not retrieve status entry[{0}] in the SYS_STATUS table!"
    9309: SzConfigurationError,             # EAS_ERR_SEQUENCE_HAS_BEEN_RESET                                                       "Sequence entry[{0}] has been reset."
    9310: SzConfigurationError,             # EAS_ERR_INVALID_STATUS_ENTRY_VALUE                                                    "Invalid value for status entry[{0}] in the SYS_STATUS table!"
    9311: SzError,                          # EAS_ERR_COULD_NOT_RECORD_USAGE_TYPE                                                   "Could not record usage type [{0}] in the SYS_CODES_USED table!"
    9406: SzError,                          # EAS_ERR_SZSS_SESSION_MUST_NOT_BE_OPEN                                                 "Secure Store cannot fetch a value with sync if a session is already open."
    9408: SzConfigurationError,             # EAS_ERR_SZSS_PASSWORD_INADEQUATE                                                      "The provided password is not strong enough: {0}"
    9409: SzConfigurationError,             # EAS_ERR_SZSS_FUNCTION_LIST_NOT_SET                                                    "The security token interface is not yet set"
    9410: SzError,                          # EAS_ERR_SZSS_PKCS_INIT_FAILED                                                         "Initializing token driver failed {0}"
    9411: SzError,                          # EAS_ERR_SZSS_PKCS_FINAL_FAILED                                                        "Finalizing token driver failed {0}"
    9413: SzConfigurationError,             # EAS_ERR_SZSS_INCORRECT_PASSWORD                                                       "The export file password appears to be incorrect."
    9414: SzBadInputError,                  # EAS_ERR_STRING_IS_INVALID_UTF8                                                        "Invalid data string. Data must be in UTF-8."
    9500: SzConfigurationError,             # EAS_ERR_TOKEN_LIBRARY_CHECKSUM_MISMATCH                                               "Cannot load token library. The checksum does not match the configuration of this node. Found: [{0}] Expected: [{1}]"
    9501: SzError,                          # EAS_TOKEN_LIBRARY_ALREADY_HASHED                                                      "Cannot hash token library. The Token Library contains previous hashed data"
    9701: SzError,                          # EAS_ERR_CANT_RETRIEVE_INDEX_FROM_MEMORY_ROW                                           "Cannot retrieve index[{0}] from memory row of key[{1}], out of range!"
    9802: SzConfigurationError,             # EAS_ERR_INBOUND_OBS_CONFIG_CHECKSUM_MISMATCH                                          "Configuration checksum on inbound observation [{0}] does not match this nodes configuration checksum [{1}]. Cannot process."
    9803: SzConfigurationError,             # EAS_ERR_CALC_CONFIGCHKSUM_AND_PARAMSTORE_CONFIGCHKSUM_DONT_MATCH                      "The calculated configuration checksum [{0}] does not match the CONFIGURATION_CHECKSUM value in the parameter store [{1}]."
}
# fmt: on
